summaryrefslogtreecommitdiffstats
path: root/graphics/BOSL2
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/BOSL2')
-rw-r--r--graphics/BOSL2/BOSL2.SlackBuild171
-rw-r--r--graphics/BOSL2/BOSL2.info10
-rw-r--r--graphics/BOSL2/README2
-rw-r--r--graphics/BOSL2/slack-desc19
4 files changed, 202 insertions, 0 deletions
diff --git a/graphics/BOSL2/BOSL2.SlackBuild b/graphics/BOSL2/BOSL2.SlackBuild
new file mode 100644
index 0000000000..40365cb86e
--- /dev/null
+++ b/graphics/BOSL2/BOSL2.SlackBuild
@@ -0,0 +1,171 @@
+#!/bin/bash
+
+# Slackware build script for BOSL2
+
+# Copyright 2023 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=BOSL2
+COMVER=1c8e5efa96e3e9231c65c52ed3142b6da0cb484e
+VERSION=${VERSION:-2023.05.19.1c8e5ef}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+SRCNAM=BOSL2
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$COMVER
+tar xvf $CWD/$SRCNAM-$COMVER.tar.gz
+cd $SRCNAM-$COMVER
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+mkdir -p $PKG/usr/share/openscad/libraries/BOSL2/tests
+
+install -m775 tests/polyhedra.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_affine.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_attachments.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_comparisons.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_coords.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_cubetruss.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_distributors.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_drawing.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_edges.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_fnliterals.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_geometry.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_linalg.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_linear_bearings.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_lists.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_masks2d.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_math.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_mutators.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_paths.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_regions.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_rounding.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_screw_drive.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_shapes2d.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_shapes3d.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_skin.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_strings.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_structs.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_transforms.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_trigonometry.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_utility.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_vectors.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_version.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+install -m775 tests/test_vnf.scad $PKG/usr/share/openscad/libraries/BOSL2/tests
+
+mkdir -p $PKG/usr/share/openscad/libraries/BOSL2/examples
+
+install -m775 examples/BOSL2logo.scad $PKG/usr/share/openscad/libraries/BOSL2/examples
+install -m775 examples/attachments.scad $PKG/usr/share/openscad/libraries/BOSL2/examples
+install -m775 examples/boolean_geometry.scad $PKG/usr/share/openscad/libraries/BOSL2/examples
+install -m775 examples/fractal_tree.scad $PKG/usr/share/openscad/libraries/BOSL2/examples
+install -m775 examples/lsystems.scad $PKG/usr/share/openscad/libraries/BOSL2/examples
+install -m775 examples/orientations.scad $PKG/usr/share/openscad/libraries/BOSL2/examples
+install -m775 examples/spherical_patch.scad $PKG/usr/share/openscad/libraries/BOSL2/examples
+
+install -m775 affine.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 attachments.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 ball_bearings.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 beziers.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 bosl1compat.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 bottlecaps.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 builtins.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 color.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 comparisons.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 constants.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 coords.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 cubetruss.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 distributors.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 drawing.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 fnliterals.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 gears.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 geometry.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 hinges.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 joiners.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 linalg.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 linear_bearings.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 lists.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 masks2d.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 masks3d.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 math.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 metric_screws.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 modular_hose.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 mutators.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 nema_steppers.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 partitions.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 paths.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 polyhedra.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 regions.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 rounding.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 screw_drive.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 screws.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 shapes2d.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 shapes3d.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 skin.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 sliders.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 std.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 strings.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 structs.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 threading.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 transforms.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 trigonometry.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 tripod_mounts.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 turtle3d.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 utility.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 vectors.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 version.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 vnf.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 walls.scad $PKG/usr/share/openscad/libraries/BOSL2/
+install -m775 wiring.scad $PKG/usr/share/openscad/libraries/BOSL2/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONTRIBUTING.md LICENSE README.md WRITING_DOCS.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/BOSL2/BOSL2.info b/graphics/BOSL2/BOSL2.info
new file mode 100644
index 0000000000..4c4f6a0323
--- /dev/null
+++ b/graphics/BOSL2/BOSL2.info
@@ -0,0 +1,10 @@
+PRGNAM="BOSL2"
+VERSION="2023.05.19.1c8e5ef"
+HOMEPAGE="https://github.com/revarbat/BOSL2/"
+DOWNLOAD="https://github.com/revarbat/BOSL2/archive/1c8e5efa96e3e9231c65c52ed3142b6da0cb484e/BOSL2-1c8e5efa96e3e9231c65c52ed3142b6da0cb484e.tar.gz"
+MD5SUM="07c302486c2641f84ab7e4df6d00d2ff"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"
diff --git a/graphics/BOSL2/README b/graphics/BOSL2/README
new file mode 100644
index 0000000000..40601223cd
--- /dev/null
+++ b/graphics/BOSL2/README
@@ -0,0 +1,2 @@
+A library for OpenSCAD, filled with useful tools, shapes, masks,
+math and manipulators, designed to make OpenSCAD easier to use.
diff --git a/graphics/BOSL2/slack-desc b/graphics/BOSL2/slack-desc
new file mode 100644
index 0000000000..34b3a74f7c
--- /dev/null
+++ b/graphics/BOSL2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+BOSL2: BOSL2 (The Belfry OpenScad Library, v2)
+BOSL2:
+BOSL2: A library for OpenSCAD, filled with useful tools, shapes, masks,
+BOSL2: math and manipulators, designed to make OpenSCAD easier to use.
+BOSL2:
+BOSL2:
+BOSL2: Homepage: https://github.com/revarbat/BOSL2/
+BOSL2:
+BOSL2:
+BOSL2:
+BOSL2: